<div class="main-container fullscreen">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-xl-5 col-lg-6 col-md-7">
        <div class="text-center">
          <h1 class="h2">Bienvenue sur Protech</h1>
          <p class="lead">Connectez-vous pour continuer</p>
          <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
              <input
                class="form-control"
                formControlName="email"
                type="email"
                placeholder="Adresse email"
                id="email"
              />
              <!-- <small style="color: red;" ng-show="loginForm.email.$invalid && loginForm.email.$touched">Veuillez entrer une adresse email valide</small> -->
            </div>
            <div class="form-group">
              <input
                class="form-control"
                formControlName="password"
                type="password"
                placeholder="Password"
                id="password"
              />
              <!-- <small style="color: red;" ng-show="loginForm.password.$error.minlength && loginForm.password.$touched">Le mot de passe doit contenir au moins 8 caractères</small> -->
            </div>
            <div class="">
              <input type="checkbox" id="rememberMe" name="rememberMe" />
              <label for="rememberMe"> Se souvenir de moi</label>
            </div>
            <button
              class="btn btn-lg btn-block btn-primary"
              role="button"
              [disabled]="loginForm.invalid"
              type="submit"
            >
              Se Connecter
            </button>

            <small
              >Vous n'avez pas de compte? Vous etes
              <a href="#">Une Entreprise?</a> ou
              <a routerLink="/auth/signup-const">Un Particulier?</a>
            </small>
          </form>
          <p class="text-danger">{{ errorMessage }}</p>
        </div>
      </div>
    </div>
  </div>
</div>
